Subject: [ietf-822] The MIME-Version header and comments

From: Jan Kundrát <[email-masked]>
Date: Fri, 23 Nov 2012 13:01:07 +0100

Hi,
RFC 2045's ABNF grammar for the MIME-Version header does not contain any reference to CFWS or other tokens which can expand to allow comments:

	version := "MIME-Version" ":" 1*DIGIT "." 1*DIGIT

Despite that, the RFC is pretty clear that any RFC822 comments are to be ignored [1]. Is that an error in the ABNF grammar, or is there a generic rule for comments somewhere else?

With kind regards,
Jan

[1] http://tools.ietf.org/html/rfc2045#page-10

---

From: Ned Freed <[email-masked]>
Date: Fri, 23 Nov 2012 17:00:18 -0800 (PST)

> RFC 2045's ABNF grammar for the MIME-Version header does not contain
> any reference to CFWS or other tokens which can expand to allow comments:

> 	version := "MIME-Version" ":" 1*DIGIT "." 1*DIGIT

That's because RFC 2045 is based on the style of ABNF in RFC 822 where CFWS
is allowed between any token, versus RFC 2822 ABNF where it isn't.

> Despite that, the RFC is pretty clear that any RFC822 comments are to be
> ignored [1]. Is that an error in the ABNF grammar, or is there a generic rule
> for comments somewhere else?

Yes. In RFC 822.

				Ned